# Generated by Django 3.1.12 on 2021-07-08 00:34

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('email', models.CharField(max_length=254, unique=True, verbose_name='Email')),
                ('run', models.IntegerField(primary_key=True, serialize=False, unique=True, verbose_name='Run')),
                ('nombres', models.CharField(max_length=254, verbose_name='Nombres')),
                ('apellidos', models.CharField(max_length=254, verbose_name='Apellidos')),
                ('usuario_activo', models.BooleanField(default=True)),
                ('usuario_administrador', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='datosMedico',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rut_medico', models.CharField(max_length=200)),
                ('nom_medico', models.CharField(max_length=200)),
                ('ape_medico', models.CharField(max_length=200)),
                ('telefono', models.IntegerField()),
                ('especialidad', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='datosPaciente',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rut_paciente', models.CharField(max_length=20)),
                ('nom_paciente', models.CharField(max_length=50)),
                ('ape_paciente', models.CharField(max_length=50)),
                ('telefono', models.IntegerField()),
                ('causa_consulta', models.CharField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='horarioMedico',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha', models.DateField()),
                ('horaInicio', models.TimeField()),
                ('horaFin', models.TimeField()),
                ('rut_medico', models.CharField(max_length=10)),
                ('rut_paciente', models.CharField(blank=True, max_length=10, null=True)),
                ('disponible', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='comprobantePagoSemanal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('monto_total', models.FloatField()),
                ('fecha_comprobante', models.DateField()),
                ('rut_medico', models.ForeignKey(db_column='run', limit_choices_to={'usuario_administrador': True}, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ComprobantePagoMedico',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('monto', models.FloatField()),
                ('comprobantePagoSemanal', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.comprobantepagosemanal')),
                ('rut_medico', models.ForeignKey(db_column='run', limit_choices_to={'usuario_administrador': True}, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
